package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 体格检查工具配置表
 * @TableName vp_config_physical_tool
 */
@TableName(value ="vp_config_physical_tool")
@Data
public class ConfigPhysicalTool implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 体格检查类别
     */
    private String toolClass;

    /**
     * 体格检查工具编码
     */
    private String code;

    /**
     * 体格检查工具名称
     */
    private String toolName;

    /**
     * 是否需要具体部位(0否1是)
     */
    private Integer requireLocation;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}