package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 诊断问答记录表
 * @TableName vp_diagnosis_qa_record
 */
@TableName(value ="vp_diagnosis_qa_record")
@Data
public class DiagnosisQaRecord implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 诊断进程ID
     */
    private String processId;

    /**
     * 问题
     */
    private String question;

    /**
     * 问题语音文件ID
     */
    private String questionWavId;

    /**
     * 回答
     */
    private String answer;

    /**
     * 回答语音文件ID
     */
    private String answerWavId;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}