package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 疾病辅助检查
 * @TableName vp_disease_ancillary
 */
@TableName(value ="vp_disease_ancillary")
@Data
public class DiseaseAncillary implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 病人ID
     */
    private String patientId;

    /**
     * 工具ID
     */
    private String itemId;

    /**
     * 是否必查
     */
    private Integer requireCheck;

    /**
     * 结果
     */
    private String result;

    /**
     * 说明
     */
    private String description;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}