package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 疾病体格检查
 * @TableName vp_disease_physical
 */
@TableName(value ="vp_disease_physical")
@Data
public class DiseasePhysical implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 病人ID
     */
    private String patientId;

    /**
     * 工具ID
     */
    private String toolId;

    /**
     * 检查部位ID
     */
    private String locationId;

    /**
     * 是否必查
     */
    private Integer requireCheck;

    /**
     * 结果
     */
    private String result;

    /**
     * 表征
     */
    private String trait;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;


}