package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 病人表
 * @TableName vp_patient
 */
@TableName(value ="vp_patient")
@Data
public class Patient implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 病人名称
     */
    private String name;

    /**
     * 性别 0男 1女
     */
    private Integer gender;

    /**
     * 病人年龄
     */
    private Integer age;

    /**
     * 症状
     */
    private String symptoms;

    /**
     * 身高
     */
    private BigDecimal height;

    /**
     * 体重
     */
    private BigDecimal weight;

    /**
     * 疾病列表，用;分割
     */
    private String diseaseList;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}